/*
 * generated by Xtext
 */
package fr.irisa.cairn.ui;

import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

import com.google.inject.Injector;

import fr.irisa.cairn.ui.internal.JniMapActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class JniMapExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return JniMapActivator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return JniMapActivator.getInstance().getInjector(JniMapActivator.FR_IRISA_CAIRN_JNIMAP);
	}
	
}
